Delete COMPOSITION by id within an EHR
Deletes the COMPOSITION identified by composition_id within the EHR identified by ehr_id.
Path Parameters
- Type: stringFormat: uuid
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: stringFormat: uuid
composition _id requiredCOMPOSITION identifier taken from COMPOSITION.uid.value.
Responses
204 204 No Contentis returned when the requested operation succeeded and the resource(s) identified by the request parameters has been physically deleted (i.e. hard-delete).404 404 Not Foundis returned when an EHR withehr_iddoes not exist.
Request Example for delete/admin/ehr/{ehr_id}/composition/{composition_id}
curl https://openEHRSys.example.com/v1/admin/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/composition/d290f1ee-6c54-4b01-90e6-d701748f0851 \
--request DELETE
No Body